Kapitel 3. Debian-Veröffentlichungen

# Kapitel 3. Debian-Veröffentlichungen

Debian 0.01 bis 0.90 (August - Dezember 1993)

Debian 0.91 (Januar 1994): Diese Veröffentlichung hatte ein einfaches Paketsystem, das Pakete installieren und deinstallieren konnte. Das Projekt war zu diesem Zeitpunkt auf einige Dutzend Leute angewachsen.

Debian 0.93R5 (März 1995): Zu diesem Zeitpunkt war die Verantwortung für jedes Paket einem eindeutigen Entwickler zugeordnet und das Paketverwaltungsprogramm (dpkg) wurde zur Installation von Paketen nach der Installation des Grundsystems genutzt.

Debian 0.93R6 (November 1995): dselect erscheint. Dies war die letzte Veröffentlichung von Debian mit dem a.out-Binärformat; es gab etwa 60 Entwickler. Der erste master.debian.org-Server wurde von Bdale Garbee zusammengestellt und von HP gehostet, parallel zur 0.93R6-Veröffentlichung. Der Einsatz eines expliziten Hauptservers, auf dem Debian-Entwickler jede Veröffentlichung zusammenstellten, führte unmittelbar zur Errichtung des Debian-Spiegelnetzwerks und mittelbar zur Entwicklung von vielen Richtlinien und Verfahrensweisen, die heute zur Verwaltung des Projekts genutzt werden.

Debian 1.0 wurde niemals freigegeben: Versehentlich verschickte der CD-Verkäufer InfoMagic den Entwicklungszweig von Debian und nannte ihn 1.0. Am 11. Dezember 1995 gaben Debian und InfoMagic gemeinsam bekannt, dass diese Veröffentlichung beschädigt sei. Bruce Perens erklärte, dass die als »Debian 1.0« deklarierten Dateien auf dem »InfoMagic Linux Developer's Resource 5-CD Set November 1995« nicht die »Debian 1.0«-Veröffentlichung sei, sondern eine frühe Entwicklungsversion, die nur teilweise im ELF-Format sei, vermutlich weder starten noch korrekt laufen würde und nicht der Qualität einer veröffentlichten Debian-Version entspräche. Um Verwechslungen zwischen der verfrühten CD-Version und der tatsächlichen Debian-Veröffentlichung zu vermeiden, benannte das Debian-Projekt seine nächste Version in »Debian 1.1« um. Das verfrühte Debian 1.0 auf CD war veraltet und sollte nicht benutzt werden.

Master.debian.org zog Ende 1995 von HP zu i-Connect.Net um. Michael Neuffer und Shimon Shapiro, Gründer von i-Connect.Net, beherbergten Master für etwas mehr als ein Jahr auf ihrer eigenen Hardware. Während dieser Zeit stellten sie Debian viele Dienste zur Verfügung, einschließlich dessen, was im Wesentlichen dem täglichen Aufruf des Prozesses für neue Paketbetreuer entsprach und halfen maßgeblich bei der Erweiterung des frühen Netzwerks von Debian-Spiegeln.

Debian 1.1 Buzz (17. Juni 1996): Dies war die erste Debian-Veröffentlichung mit einem Aliasnamen. Sie wurde, wie bis jetzt alle weiteren, nach einer Figur des Films Toy Story benannt – in diesem Fall nach Buzz Lightyear. Zu diesem Zeitpunkt hatte Bruce Perens die Leitung des Projekts von Ian Murdock übernommen. Bruce arbeitete bei Pixar, der Firma, die die Filme produzierte. Diese Debian-Veröffentlichung war vollständig im ELF-Format, benutzte den Linux-Kernel 2.0 und enthielt 474 Pakete.

Debian 1.2 Rex (12. Dezember 1996): Benannt nach dem Plastikdinosaurier in den Toy Story-Filmen. Diese Veröffentlichung bestand aus 848 Paketen, betreut von 120 Entwicklern.

Debian 1.3 Bo (5. Juni 1997): Benannt nach Bo Peep, der Schäferin. Diese Veröffentlichung bestand aus 974 Paketen, betreut von 200 Entwicklern.

Debian 2.0 Hamm (24. Juli 1998): Benannt nach dem Sparschwein in den Toy Story-Filmen. Dies war die erste Veröffentlichung von Debian für mehrere Architekturen, mit Unterstützung für die Motorola-68000-Architektur. Mit Ian Jackson als Projektleiter bewältigte diese Veröffentlichung den Übergang zur libc6 und bestand aus mehr als 1500 Paketen, betreut von über 400 Entwicklern.

Debian 2.1 Slink (9. März 1999): Benannt nach dem Hund im Film. Zwei weitere Architekturen wurden hinzugefügt, Alpha und SPARC. Mit Wichert Akkerman als Projektleiter bestand diese Version aus etwa 2250 Paketen und benötigte 2 CDs in der offiziellen CD-Distribution. Die wichtigste technische Neuerung bestand in der Einführung von Apt, einer neuen Schnittstelle zur Paketverwaltung. Apt wurde entwickelt, um Probleme, die sich aus dem ständigen Wachstum von Debian ergeben hatten, in den Griff zu bekommen. Es wurde oft nachgeahmt und stellte ein neues Grundprinzip zur Paketerfassung und -installation bei quelloffenen Betriebssystemen dar.

Debian 2.2 Potato (15. August 2000): Benannt nach »Mr. Potato Head« in den Toy Story-Filmen. Diese Version fügte Unterstützung für die PowerPC- und ARM-Architekturen hinzu. Wichert arbeitete noch als Projektleiter und diese Veröffentlichung bestand aus mehr als 3900 Binärpaketen, erstellt aus über 2600 Quellpaketen, die von mehr als 450 Debian-Entwicklern betreut wurden.

Debian 3.0 Woody (19. Juli 2002): Benannt nach der Hauptfigur der Toy Story-Filme: »Woody«, dem Cowboy. Noch mehr Architekturen wurden in dieser Veröffentlichung aufgenommen: IA-64, HP PA-RISC, MIPS (big endian), MIPS (little endian) und S/390. Dies ist auch die erste Veröffentlichung mit kryptographischer Software, nachdem die Beschränkungen zum Export aus den USA gelockert wurden, und die erste Veröffentlichung mit KDE, nachdem die Lizenzprobleme mit Qt gelöst wurden. Mit dem frischgebackenen Projektleiter Bdale Garbee und mehr als 900 Debian-Entwicklern enthielt diese Veröffentlichung etwa 8500 Binärpakete und sieben Binär-CDs in der offiziellen Zusammenstellung.

Debian 3.1 Sarge (6. Juni 2005): Benannt nach dem Feldwebel der grünen Plastiksoldaten. Bei dieser Veröffentlichung wurden keine neuen Architekturen hinzugefügt, allerdings erschien zur gleichen Zeit eine inoffizielle AMD64-Portierung, die über die neue Hosting-Site des Alioth-Projekts verteilt wurde. Diese Veröffentlichung benutzt eine neue Installationsroutine: debian-installer, eine modulare Software mit automatischer Hardware-Erkennung, der Möglichkeit zur unbeaufsichtigten Installation und vollständiger Übersetzung in mehr als dreißig Sprachen. Es war die erste Veröffentlichung mit einem vollständigen Office-Paket: OpenOffice.org. Branden Robinson war gerade zum Projektleiter gewählt worden. Diese Veröffentlichung bestand in der offiziellen Version aus etwa 15400 Binärpaketen und 14 Binär-CDs. Es gab mehr als 900 Debian-Entwickler.

Debian 4.0 Etch (8. April 2007): Benannt nach der Zeichentafel in dem Film. Eine Architektur wurde in dieser Veröffentlichung neu aufgenommen: AMD64; die offizielle Unterstützung für m68k wurde eingestellt. Diese Veröffentlichung verwendete weiter den debian-installer, unterstützte aber auch einen graphischen Installer, kryptographische Überprüfung heruntergeladener Pakete, eine flexiblere Partitionierung (mit Unterstützung verschlüsselter Partitionen), vereinfachte E-Mail-Konfiguration, noch flexiblere Desktop-Auswahl, vereinfachte, aber verbesserte Unterstützung anderer Sprachen und neue Modi, inklusive einem Rettungsmodus. Neue Installationen erfordern keinen Neustart mehr während des Installationsprozesses, da die früheren zwei Phasen der Installation nun zusammengefasst wurden. Dieser neue Installer bot in seiner graphischen Version Unterstützung für Dialekte, die zusammengesetzte Zeichen verwenden sowie für komplexe Sprachen, was die Anzahl vorhandener Übersetzungen auf über 50 erhöhte. Mit dem am selben Tag ernannten Projektleiter Sam Hocevar und mehr als 1030 Debian-Entwicklern enthielt diese Veröffentlichung etwa 18000 Binärpakete auf über 20 Binär-CDs (oder 3 DVDs) in der offiziellen Veröffentlichung. Es waren auch zwei Binär-CDs verfügbar, um das System mit alternativen Desktop-Umgebungen statt mit der Standardumgebung zu installieren.

Debian 5.0 Lenny (Februar 2009): benannt nach dem aufziehbaren Fernglas in den Toy Story-Filmen. In dieser Veröffentlichung wurde eine Architektur hinzugefügt: ARM EABI (oder armel). Dadurch wurde Unterstützung für neuere ARM-Prozessoren bereitgestellt und die alte ARM-Portierung (arm) abgelöst. Die Portierung m68k war nicht in dieser Veröffentlichung enthalten, obwohl sie immer noch in der Unstable-Distribution bereitgestellt wurde. Diese Veröffentlichung enthielt keine FreeBSD-Portierung. Obwohl viel Arbeit in diese Portierung gesteckt wurde, erfüllte sie nicht die geforderten Voraussetzungen für diese Veröffentlichung.

Diese Veröffentlichung fügte Unterstützung für Marvells Orion-Plattform hinzu, die auf vielen Speichergeräten benutzt wird und außerdem für verschiedene Netbooks. Durch diese zusätzlich unterstützte Plattform erhöhte sich die Anzahl der untersützten Geräte mit kleinen Formfaktoren deutlich. Außerdem wurden einige neue Bauwerkzeuge hinzugefügt, was die Erstellung von Debian-Quellcode-Paketen über Architekturgrenzen hinweg und ein Schrumpfen derselben erlaubte, so dass sie auf eingebettete ARM-Systeme passten. Auch wurden jetzt Netbooks verschiedener Hersteller unterstützt; desweiteren bot die Distribution Software, die besser angepasst war für Computer mit relativ wenig Performance.

Es war außerdem die erste Veröffentlichung, die freie Versionen von Suns Java-Technologie bereitstellte, was Java-Anwendungen im main-Bereich möglich machte.

Debian 6.0 Squeeze (Februar 2011): benannt nach den grünen dreiäugigen Aliens.

Die Veröffentlichung wurde am 6. August 2010 »eingefroren«, als sich viele Entwickler zur zehnten DebConf in New York City versammelt hatten.

Während zwei Architekturen (Alpha und HP/PA) aufgegeben wurden, wurden zwei Architekturen der neuen FreeBSD-Portierung (kFreeBSD-i386 und kFreeBSD-AMD64) als Technologievorschau verfügbar gemacht, einschließlich des Kernels und Werkzeugen auf Benutzerseite sowie üblicher Server-Software (jedoch noch ohne fortschrittliche Funktionalitäten für Arbeitsumgebungen). Erstmals wurde eine Linux-Distribution so erweitert, dass auch ein anderer als der Linux-Kernel eingesetzt werden kann.

Die neue Veröffentlichung führte eine abhängigkeitsbasierte Startsequenz ein, die eine parallele Verarbeitung von Init-Skripten zur Beschleunigung des Systemstarts ermöglichte.

Debian 6 war die erste Veröffentlichung, die vom Long Term Support (LTS, Langzeitunterstützung) profitierte, ein Projekt, das die Lebenszeit aller Debian-Stable-Veröffentlichungen auf (mindestens) 5 Jahre ausdehnt. Debian LTS wird nicht vom Debian-Security-Team betreut, sondern von einer separaten Gruppe Freiwilliger und Firmen, die daran interessiert sind, dies zu einem Erfolg zu machen. Debian 6 wurde bis Ende Februar 2016 unterstützt, und war auf die i386- und amd64-Architekturen beschränkt.

Debian 7.0 Wheezy (Mai 2013): benannt nach dem Gummi-Spielzeugpinguin mit der roten Fliege.

Die Veröffentlichung wurde am 30. Juni 2012 »eingefroren«, zeitnah zum Treffen vieler Entwickler bei der zwölften DebConf in Managua, Nicaragua.

Eine Architektur (armhf) wurde in dieser Veröffentlichung hinzugefügt; außerdem wurde multi-arch-Unterstützung eingeführt, was es Benutzern erlaubte, Pakete von unterschiedlichen Architekturen auf dem gleichen Rechner zu installieren. Verbesserungen beim Installationsprozess erlaubte es sehbehinderten Menschen erstmals, das System mittels Software-Sprachausgabe zu installieren.

Dies war auch die erste Veröffentlichung, die die Installation und das Booten von Geräten mit UEFI-Firmware ermöglichte.

Debian 7 hatte Langzeitunterstützung (LTS) für i386, amd64, armel und armhf bis Ende Mai 2018.

Debian 8 Jessie (April 2015): benannt nach der Cowgirl-Puppe, die erstmals in Toy Story 2 erschien.

In dieser Veröffentlichung wird erstmals das Init-System systemd als Standard eingesetzt. Zwei neue Architekturen wurden eingeführt: arm64 und ppc64el; außerdem wurden drei Architekturen fallengelassen: s390 (ersetzt durch s390x), ia64 und sparc. Die Sparc-Architektur war 16 Jahre in Debian enthalten, aber mangelnde Unterstützung durch die Entwickler haben dazu geführt, dass sie nicht länger in Debian betreut werden konnte.

Die Veröffentlichung enthielt viele Verbesserungen bei der Sicherheit, wie einen neuen Kernel, der eine ganze Serie von Verwundbarkeiten (Symlink-Angriffe) eliminierte, eine neue Möglichkeit, den Status der Security-Unterstützung für Pakete zu erkennen, mehr Pakete, die mit speziellen Compiler-Flags zur Systemhärtung gebaut wurden, sowie ein neuer Mechanismus (needrestart), um Teilsysteme zu detektieren, die nach einem System-Upgrade neu gestartet werden müssen, um von Sicherheitsaktualisierungen zu profitieren.

Debian 8 hatte Langzeitunterstützung (LTS) für i386, amd64, armel und armhf bis Ende Juni 2020.

Debian 9 Stretch (Juni 2017): benannt nach dem Gummioktopus mit den Saugern an seinen acht Armen, der erstmals in Toy Story 3 erschien.

Diese Version wurde am 07. Februar 2017 eingefroren.

Debian 9 wurde dem Gründer des Debian-Projekts, Ian Murdock gewidmet, der am 28. Dezember 2015 verstarb.

Die Unterstützung für die powerpc-Architektur wurde mit dieser Veröffentlichung entfernt, während mips64el neu eingeführt wurde. Diese Veröffentlichung führte Debugging-Pakete mit einem neuen Paketdepot im Archiv ein; Pakete in diesem Depot enthalten Debugging-Symbole zur Fehlersuche in Paketen. Firefox und Thunderbird kehrten in das Debian-Projekt zurück, und ersetzten dabei die umbenannten Versionen Iceweasel und Icedove, die für mehr als 10 Jahre als Ersatz im Debian-Archiv existierten. Dank dem Reproducible-Builds-Projekt konnten aus über 90% der in Debian 9 enthaltenen Quellpakete Bit-für-Bit identische Binärpakete gebaut werden.

Debian 9 hatte Langzeitunterstützung (LTS) für i386, amd64, armel und armhf bis Ende Juni 2022.

Debian 10 Buster (Juli 2019): benannt nach Andys Spielzeughund, den er als Weihnachtsgeschenk am Ende von Toy Story erhielt.

Mit dieser Veröffentlichung enthielt Debian erstmals ein standardmäßig aktiviertes Rahmenwerk für obligatorische Zugriffskontrolle (Mandatory Access Control) von Anwendungen namens AppArmor. Es war auch die erste Debian-Veröffentlichung, die Rust-basierte Programme wie Firefox, ripgrep, fd, exa usw. enthielt sowie eine signifikante Zahl Rust-basierter Bibliotheken (mehr als 450). In Debian 10 nutzte GNOME standardmäßig anstatt Xorg den Wayland Display-Server, welcher ein einfacheres und moderneres Design bietet sowie Vorteile in Bezug auf Sicherheit. Die Unterstützung für UEFI (»Unified Extensible Firmware Interface«) als Nachfolger für das altbekannte BIOS war erstmals in Debian 7 enthalten und wurde in Debian 10 signifikant verbessert, so dass nun die Architekturen amd64, i386 und arm64 unterstützt wurden; auch funktioniert es nun auf den meisten Rechnern mit aktiviertem Secure-Boot ohne weiteres Zutun.

Debian 10 hatte Langzeitunterstützung (LTS) für i386, amd64, armel und armhf bis Ende Juni 2024.

Debian 11 Bullseye (14. August 2021): benannt nach Woodys hölzernem Spielzeugpferd, das in Toy Story 2 erschien.

Diese Veröffentlichung enthielt über 11’294 neue Pakete, bei einer Gesamtanzahl von 59’551 Paketen, wobei gleichzeitig über 9519 Pakete als veraltet (obsolete) markiert und entfernt wurden. 42’821 Pakete wurden aktualisiert und 5434 blieben unverändert.

Debian 11 erlaubte treiberloses Drucken und Scannen, also ohne die Notwendigkeit herstellerspezifischer (oft nicht-freier) Treiber, und enthielt einen Linux-Kernel mit Unterstützung für das exFAT-Dateisystem. Die Unterstützung für die mips-Architektur wurde fallengelassen, während mipsel (little-endian) für 32-Bit-Hardware und mips64el für 64-Bit- (little-endian) Hardware erhalten blieb.

Das Debian-Med-Team beteiligte sich am Kampf gegen COVID-19, indem es Software zur Erforschung des Virus auf Sequenzierungsebene paketierte sowie für die Bekämpfung der Pandemie mittels Werkzeugen, die in der Epidemiologie genutzt werden. Diese Arbeit wurde fortgesetzt mit Fokus auf Werkzeugen für maschinelles Lernen in diesen beiden Bereichen.

Debian 12 Bookworm (10. Juni 2023): benannt nach einem grünen Spielzeugwurm mit Blitzlicht, der in Toy Story 3 erschien.

Diese Veröffentlichung enthielt über 11’089 neue Pakete, bei einer Gesamtanzahl von 64’419 Paketen, wobei gleichzeitig über 6296 Pakete als veraltet (obsolete) entfernt wurden. 43’254 Pakete wurden mit dieser Veröffentlichung aktualisiert. Der Gesamtbedarf an Festplattenplatz für Bookworm betrug 365’016’420 kB (365 GB), und es besteht aus 1’341’564’204 Zeilen Code.

Folgend dem Allgemeinen Beschluss aus 2022 über nicht-freie Firmware wurde Debians Gesellschaftsvertrag angepasst, und ein neuer Archivbereich namens non-free-firmware wurde eingeführt; so können nicht-freie Firmware-Pakete von anderen nicht-freien Paketen getrennt gehalten werden. Die meisten nicht-freien Firmware-Pakete wurden von non-free in diesen neuen Bereich non-free-firmware verschoben. Diese Trennung ermöglicht es, eine Vielzahl offizieller Installations-Images mit nicht-freier Firmware zu erstellen. Somit ist es viel einfacher, Debian mittels dem Debian-Installer auf beliebter Hardware zu installieren.

Insgesamt werden neun Architekturen für Bookworm offiziell unterstützt.

Das Debian-Cloud-Team veröffentlicht Bookworm für drei beliebte Cloud-Anbieter.

Zwischen den Veröffentlichungen musste im Februar 2021 der Technische Ausschuss mit dem Fehler #978636 einen Konflikt lösen mit dem Ergebnis, dass Debian Bookworm nur das merged-usr[1] Dateisystem-Layout unterstützen wird, und die Unterstützung für das non-merged-usr-Layout fallengelassen wird. Für Systeme, die als Buster oder Bullseye installiert wurden, wird sich am Dateisystem nichts ändern. Allerdings werden Systeme, die das ältere Layout verwenden, während des Upgrades konvertiert.

Dank der gemeinsamen Arbeit von Debians Sicherheits-Team und dem Long-Term-Support-Team wird Bookworm auf vier Architekturen bis zum Juni 2028 (5 Jahre nach der Veröffentlichung) Sicherheitsunterstützung erhalten.

Debian 13 Trixie (mit Stand August 2024 die derzeitige Testing-Distribution): Trixie ist ein blauer Spielzeug-Triceratops, der in Toy Story 3 erschien.

[1] usr-merge (oder merged-usr oder auch `/usr`-move) ist ein Dateisystem-Layout, in dem die traditionellen Unix-Verzeichnisse `/bin`, `/sbin`, `/lib` und `/lib64` durch symbolische Links auf deren Gegenstücke unterhalb von `/usr` ersetzt wurden. So wurde z.B. `/bin` durch einen symbolischen Link auf `/usr/bin` ersetzt. usr-merge wurde 2012 von Fedora Linux und von Ubuntu Linux implementiert. Lesen Sie dazu auch The Case For The Usr Merge sowie die Bookworm-Veröffentlichungshinweise.

Kapitel 2. Projektleitung |  | Kapitel 4. Eine detaillierte Historie